{
    "$graph": [
        {
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement",
                    "expressionLib": [
                        "var default_output_filename = function() { if (inputs.output_filename == \"\"){ return inputs.bed_file.basename; } else { return inputs.output_filename; } };"
                    ]
                }
            ],
            "hints": [
                {
                    "class": "DockerRequirement",
                    "dockerPull": "biowardrobe2/bedtools2:v2.26.0"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 5,
                        "prefix": "-i"
                    },
                    "doc": "The input BED file must be sorted by chrom, then start",
                    "id": "#bedtools-merge.cwl/bed_file"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "position": 6,
                        "prefix": "-d"
                    },
                    "doc": "Maximum distance between features to be merged",
                    "id": "#bedtools-merge.cwl/max_distance"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "",
                    "doc": "Output file name",
                    "id": "#bedtools-merge.cwl/output_filename"
                }
            ],
            "baseCommand": [
                "bedtools",
                "merge"
            ],
            "stdout": "$(default_output_filename())",
            "doc": "Merges features from BED file. Only selected parameters are implemented.\n",
            "id": "#bedtools-merge.cwl",
            "http://schema.org/mainEntity": {
                "class": "http://schema.org/SoftwareSourceCode",
                "id": "#bedtools-metadata.yaml",
                "http://schema.org/name": "bedtools",
                "http://schema.org/about": "A software suite for the comparison, manipulation and annotation of genomic features in browser extensible data (BED) and general feature format (GFF) format. BEDTools also supports the comparison of sequence alignments in BAM format to both BED and GFF features. The tools are extremely efficient and allow the user to compare large datasets (e.g. next-generation sequencing data) with both public and custom genome annotation tracks. BEDTools can be combined with one another as well as with standard UNIX commands, thus facilitating routine genomics tasks as well as pipelines that can quickly answer intricate questions of large genomic datasets.\n",
                "http://schema.org/url": "http://bedtools.readthedocs.org",
                "http://schema.org/codeRepository": "https://github.com/arq5x/bedtools2",
                "http://schema.org/license": [
                    "https://opensource.org/licenses/GPL-2.0"
                ],
                "http://schema.org/targetProduct": {
                    "class": "http://schema.org/SoftwareApplication",
                    "http://schema.org/softwareVersion": "2.26.0",
                    "http://schema.org/applicationCategory": "command line tool"
                },
                "http://schema.org/programmingLanguage": "C++",
                "http://schema.org/publication": [
                    {
                        "class": "http://schema.org/ScholarlyArticle",
                        "id": "#bedtools-metadata.yaml/10.1093/bioinformatics/btq033",
                        "datePublished": "28 January 2010",
                        "http://schema.org/name": "BEDTools: a flexible suite of utilities for comparing genomic features",
                        "http://schema.org/author": [
                            {
                                "class": "http://schema.org/Person",
                                "http://schema.org/name": "Aaron R. Quinlan"
                            },
                            {
                                "class": "http://schema.org/Person",
                                "http://schema.org/name": "Ira M. Hall"
                            }
                        ],
                        "http://schema.org/url": "https://academic.oup.com/bioinformatics/article-lookup/doi/10.1093/bioinformatics/btq033"
                    }
                ],
                "http://schema.org/discussionUrl": [
                    "https://github.com/arq5x/bedtools2/issues",
                    "https://groups.google.com/forum/#!forum/bedtools-discuss"
                ],
                "http://schema.org/creator": [
                    {
                        "class": "http://schema.org/Organization",
                        "http://schema.org/name": "University of Utah",
                        "http://schema.org/member": [
                            {
                                "class": "http://schema.org/Person",
                                "http://schema.org/name": "Aaron Quinlan",
                                "http://schema.org/description": "Main author"
                            },
                            {
                                "class": "http://schema.org/Person",
                                "http://schema.org/name": "Neil Kindlon",
                                "http://schema.org/description": "Main author"
                            }
                        ]
                    }
                ]
            },
            "http://schema.org/name": "bedtools-merge",
            "http://schema.org/downloadUrl": "https://raw.githubusercontent.com/Barski-lab/workflows/master/tools/bedtools-merge.cwl",
            "http://schema.org/codeRepository": "https://github.com/Barski-lab/workflows",
            "http://schema.org/license": "http://www.apache.org/licenses/LICENSE-2.0",
            "http://schema.org/isPartOf": {
                "class": "http://schema.org/CreativeWork",
                "http://schema.org/name": "Common Workflow Language",
                "http://schema.org/url": "http://commonwl.org/"
            },
            "http://schema.org/creator": [
                {
                    "class": "http://schema.org/Organization",
                    "http://schema.org/legalName": "Cincinnati Children's Hospital Medical Center",
                    "http://schema.org/location": [
                        {
                            "class": "http://schema.org/PostalAddress",
                            "http://schema.org/addressCountry": "USA",
                            "http://schema.org/addressLocality": "Cincinnati",
                            "http://schema.org/addressRegion": "OH",
                            "http://schema.org/postalCode": "45229",
                            "http://schema.org/streetAddress": "3333 Burnet Ave",
                            "http://schema.org/telephone": "+1(513)636-4200"
                        }
                    ],
                    "http://schema.org/logo": "https://www.cincinnatichildrens.org/-/media/cincinnati%20childrens/global%20shared/childrens-logo-new.png",
                    "http://schema.org/department": [
                        {
                            "class": "http://schema.org/Organization",
                            "http://schema.org/legalName": "Allergy and Immunology",
                            "http://schema.org/department": [
                                {
                                    "class": "http://schema.org/Organization",
                                    "http://schema.org/legalName": "Barski Research Lab",
                                    "http://schema.org/member": [
                                        {
                                            "class": "http://schema.org/Person",
                                            "http://schema.org/name": "Michael Kotliar",
                                            "http://schema.org/email": "mailto:misha.kotliar@gmail.com",
                                            "http://schema.org/sameAs": [
                                                {
                                                    "id": "#0000-0002-6486-3898"
                                                }
                                            ]
                                        }
                                    ]
                                }
                            ]
                        }
                    ]
                }
            ],
            "http://schema.org/about": "Usage:   bedtools merge [OPTIONS] -i <bed/gff/vcf>\n\nOptions: \n  -s\tForce strandedness.  That is, only merge features\n    that are on the same strand.\n    - By default, merging is done without respect to strand.\n\n  -S\tForce merge for one specific strand only.\n    Follow with + or - to force merge from only\n    the forward or reverse strand, respectively.\n    - By default, merging is done without respect to strand.\n\n  -d\tMaximum distance between features allowed for features\n    to be merged.\n    - Def. 0. That is, overlapping & book-ended features are merged.\n    - (INTEGER)\n    - Note: negative values enforce the number of b.p. required for overlap.\n\n  -c\tSpecify columns from the B file to map onto intervals in A.\n    Default: 5.\n    Multiple columns can be specified in a comma-delimited list.\n\n  -o\tSpecify the operation that should be applied to -c.\n    Valid operations:\n        sum, min, max, absmin, absmax,\n        mean, median, mode, antimode\n        stdev, sstdev\n        collapse (i.e., print a delimited list (duplicates allowed)), \n        distinct (i.e., print a delimited list (NO duplicates allowed)), \n        distinct_sort_num (as distinct, sorted numerically, ascending),\n        distinct_sort_num_desc (as distinct, sorted numerically, desscending),\n        distinct_only (delimited list of only unique values),\n        count\n        count_distinct (i.e., a count of the unique values in the column), \n        first (i.e., just the first value in the column), \n        last (i.e., just the last value in the column), \n    Default: sum\n    Multiple operations can be specified in a comma-delimited list.\n\n    If there is only column, but multiple operations, all operations will be\n    applied on that column. Likewise, if there is only one operation, but\n    multiple columns, that operation will be applied to all columns.\n    Otherwise, the number of columns must match the the number of operations,\n    and will be applied in respective order.\n    E.g., \"-c 5,4,6 -o sum,mean,count\" will give the sum of column 5,\n    the mean of column 4, and the count of column 6.\n    The order of output columns will match the ordering given in the command.\n\n\n  -delim\tSpecify a custom delimiter for the collapse operations.\n    - Example: -delim \"|\"\n    - Default: \",\".\n\n  -prec\tSets the decimal precision for output (Default: 5)\n\n  -bed\tIf using BAM input, write output as BED.\n\n  -header\tPrint the header from the A file prior to results.\n\n  -nobuf\tDisable buffered output. Using this option will cause each line\n    of output to be printed as it is generated, rather than saved\n    in a buffer. This will make printing large output files \n    noticeably slower, but can be useful in conjunction with\n    other software tools and scripts that need to process one\n    line of bedtools output at a time.\n\n  -iobuf\tSpecify amount of memory to use for input buffer.\n    Takes an integer argument. Optional suffixes K/M/G supported.\n    Note: currently has no effect with compressed files.\n\nNotes: \n  (1) The input file (-i) file must be sorted by chrom, then start.\n",
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(default_output_filename())"
                    },
                    "doc": "Merged BED file",
                    "id": "#bedtools-merge.cwl/merged_bed_file"
                }
            ]
        },
        {
            "class": "CommandLineTool",
            "hints": [
                {
                    "class": "DockerRequirement",
                    "dockerPull": "biowardrobe2/scidap:v0.0.3"
                }
            ],
            "inputs": [
                {
                    "type": [
                        "File",
                        {
                            "type": "array",
                            "items": "File"
                        }
                    ],
                    "inputBinding": {
                        "position": 2
                    },
                    "id": "#custom-bash.cwl/input_file"
                },
                {
                    "type": [
                        "null",
                        "string",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "inputBinding": {
                        "position": 3
                    },
                    "id": "#custom-bash.cwl/param"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "cat \"$0\" | grep \"$1\" | sed \"s/$1//g\"  > `basename $0`\n",
                    "inputBinding": {
                        "position": 1
                    },
                    "id": "#custom-bash.cwl/script"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "*"
                    },
                    "id": "#custom-bash.cwl/output_file"
                }
            ],
            "baseCommand": [
                "bash",
                "-c"
            ],
            "doc": "Tool to run custom script set as `script` input with arguments from `param`.\nDefault script runs sed command over the input file and exports results to the file with the same name as input's basename\n",
            "id": "#custom-bash.cwl",
            "http://schema.org/name": "custom-bash",
            "http://schema.org/downloadUrl": "https://raw.githubusercontent.com/Barski-lab/workflows/master/tools/custom-bash.cwl",
            "http://schema.org/codeRepository": "https://github.com/Barski-lab/workflows",
            "http://schema.org/license": "http://www.apache.org/licenses/LICENSE-2.0",
            "http://schema.org/isPartOf": {
                "class": "http://schema.org/CreativeWork",
                "http://schema.org/name": "Common Workflow Language",
                "http://schema.org/url": "http://commonwl.org/"
            },
            "http://schema.org/creator": [
                {
                    "class": "http://schema.org/Organization",
                    "http://schema.org/legalName": "Cincinnati Children's Hospital Medical Center",
                    "http://schema.org/location": [
                        {
                            "class": "http://schema.org/PostalAddress",
                            "http://schema.org/addressCountry": "USA",
                            "http://schema.org/addressLocality": "Cincinnati",
                            "http://schema.org/addressRegion": "OH",
                            "http://schema.org/postalCode": "45229",
                            "http://schema.org/streetAddress": "3333 Burnet Ave",
                            "http://schema.org/telephone": "+1(513)636-4200"
                        }
                    ],
                    "http://schema.org/logo": "https://www.cincinnatichildrens.org/-/media/cincinnati%20childrens/global%20shared/childrens-logo-new.png",
                    "http://schema.org/department": [
                        {
                            "class": "http://schema.org/Organization",
                            "http://schema.org/legalName": "Allergy and Immunology",
                            "http://schema.org/department": [
                                {
                                    "class": "http://schema.org/Organization",
                                    "http://schema.org/legalName": "Barski Research Lab",
                                    "http://schema.org/member": [
                                        {
                                            "class": "http://schema.org/Person",
                                            "http://schema.org/name": "Michael Kotliar",
                                            "http://schema.org/email": "mailto:michael.kotliar@cchmc.org",
                                            "http://schema.org/sameAs": [
                                                {
                                                    "$import": "#0000-0002-6486-3898"
                                                }
                                            ]
                                        }
                                    ]
                                }
                            ]
                        }
                    ]
                }
            ],
            "http://schema.org/about": "Custom bash script runner"
        },
        {
            "class": "ExpressionTool",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                }
            ],
            "inputs": [
                {
                    "type": "string",
                    "id": "#get-file-by-name.cwl/basename_regex"
                },
                {
                    "type": [
                        "Directory",
                        {
                            "type": "array",
                            "items": "File"
                        }
                    ],
                    "id": "#get-file-by-name.cwl/input_files"
                }
            ],
            "outputs": [
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "id": "#get-file-by-name.cwl/selected_file"
                }
            ],
            "expression": "${\n  var patt = new RegExp(inputs.basename_regex);\n  var files = [];\n\n  if (inputs.input_files.class == \"Directory\"){\n    files = inputs.input_files.listing;\n  } else {\n    files = inputs.input_files;\n  }\n\n  for (var i = 0; i < files.length; i++ ){\n    if ( patt.test(files[i].location.split('/').slice(-1)[0]) ){\n      return { \"selected_file\": files[i] }\n    }\n  }\n\n  return { \"selected_file\": null };\n}\n",
            "doc": "Returns file the first file from input File[], that match input regex expression",
            "id": "#get-file-by-name.cwl"
        },
        {
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement",
                    "expressionLib": [
                        "var default_output_filename = function(ext) { var root = inputs.input_filename.basename.split('.').slice(0,-1).join('.'); return (root == \"\")?inputs.input_filename.basename+ext:root+ext; };"
                    ]
                }
            ],
            "hints": [
                {
                    "class": "DockerRequirement",
                    "dockerPull": "biowardrobe2/iaintersect:v0.0.2"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 2,
                        "prefix": "--a=",
                        "separate": false
                    },
                    "doc": "Annotation file, tsv",
                    "id": "#iaintersect.cwl/annotation_filename"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "position": 7,
                        "prefix": "--sam_ignorechr=",
                        "separate": false
                    },
                    "doc": "The chromosome to be ignored, string\n",
                    "id": "#iaintersect.cwl/ignore_chr"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 1,
                        "prefix": "--in=",
                        "separate": false
                    },
                    "doc": "Input filename with MACS2 peak calling results, tsv",
                    "id": "#iaintersect.cwl/input_filename"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "position": 4,
                        "prefix": "--log=",
                        "separate": false,
                        "valueFrom": "${\n    if (self == \"\"){\n      return default_output_filename('_iaintersect.log');\n    } else {\n      return self;\n    }\n}\n"
                    },
                    "default": "",
                    "doc": "Log filename\n",
                    "id": "#iaintersect.cwl/log_filename"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "position": 3,
                        "prefix": "--out=",
                        "separate": false,
                        "valueFrom": "${\n    if (self == \"\"){\n      return default_output_filename('_iaintersect.tsv');\n    } else {\n      return self;\n    }\n}\n"
                    },
                    "default": "",
                    "doc": "Base output file name, tsv\n",
                    "id": "#iaintersect.cwl/output_filename"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "position": 5,
                        "prefix": "--promoter=",
                        "separate": false
                    },
                    "doc": "Promoter region around TSS, base pairs\n",
                    "id": "#iaintersect.cwl/promoter_bp"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "position": 6,
                        "prefix": "--upstream=",
                        "separate": false
                    },
                    "doc": "Upstream region before promoter, base pairs\n",
                    "id": "#iaintersect.cwl/upstream_bp"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "${\n  if (inputs.log_filename == \"\"){\n    return default_output_filename('_iaintersect.log');\n  } else {\n    return inputs.log_filename;\n  }\n}\n"
                    },
                    "id": "#iaintersect.cwl/log_file"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "${\n  if (inputs.output_filename == \"\"){\n    return default_output_filename('_iaintersect.tsv');\n  } else {\n    return inputs.output_filename;\n  }\n}\n"
                    },
                    "id": "#iaintersect.cwl/result_file"
                }
            ],
            "baseCommand": [
                "iaintersect"
            ],
            "doc": "Tool assigns each peak obtained from MACS2 to a gene and region (upstream, promoter, exon, intron, intergenic)\n\n`default_output_filename` function returns output filename with sufix set as `ext` argument. Function is called when\neither `output_filename` or `log_filename` inputs are not provided.\n",
            "id": "#iaintersect.cwl",
            "http://schema.org/mainEntity": {
                "class": "http://schema.org/SoftwareSourceCode",
                "id": "#iaintersect-metadata.yaml",
                "http://schema.org/name": "iaintersect",
                "http://schema.org/about": "Based on BioWardrobe iaintersect (https://github.com/cincinnati-childrens-hospital/biowardrobe/tree/master/src/iaintersect) The software assigns each peak obtained from MACS2 to a gene and region (upstream, promoter, exon, intron, intergenic).\n",
                "http://schema.org/url": "https://github.com/Barski-lab/iaintersect/blob/master/README.md",
                "http://schema.org/codeRepository": "https://github.com/Barski-lab/iaintersect",
                "http://schema.org/license": [
                    "https://opensource.org/licenses/MIT"
                ],
                "http://schema.org/targetProduct": {
                    "class": "http://schema.org/SoftwareApplication",
                    "http://schema.org/softwareVersion": "0.0.1",
                    "http://schema.org/applicationCategory": "command line tool"
                },
                "http://schema.org/programmingLanguage": "C++",
                "http://schema.org/discussionUrl": [
                    "https://github.com/Barski-lab/iaintersect/issues"
                ],
                "http://schema.org/creator": [
                    {
                        "class": "http://schema.org/Organization",
                        "http://schema.org/name": "Barski Research Lab",
                        "http://schema.org/member": [
                            {
                                "class": "http://schema.org/Person",
                                "http://schema.org/name": "Andrey Kartashov",
                                "http://schema.org/description": "Main author"
                            },
                            {
                                "class": "http://schema.org/Person",
                                "http://schema.org/name": "Michael Kotliar",
                                "http://schema.org/description": "Update to work with files instead of DB"
                            }
                        ]
                    }
                ]
            },
            "http://schema.org/name": "iaintersect",
            "http://schema.org/downloadUrl": "https://raw.githubusercontent.com/Barski-lab/workflows/master/tools/iaintersect.cwl",
            "http://schema.org/codeRepository": "https://github.com/Barski-lab/workflows",
            "http://schema.org/license": "http://www.apache.org/licenses/LICENSE-2.0",
            "http://schema.org/isPartOf": {
                "class": "http://schema.org/CreativeWork",
                "http://schema.org/name": "Common Workflow Language",
                "http://schema.org/url": "http://commonwl.org/"
            },
            "http://schema.org/creator": [
                {
                    "class": "http://schema.org/Organization",
                    "http://schema.org/legalName": "Cincinnati Children's Hospital Medical Center",
                    "http://schema.org/location": [
                        {
                            "class": "http://schema.org/PostalAddress",
                            "http://schema.org/addressCountry": "USA",
                            "http://schema.org/addressLocality": "Cincinnati",
                            "http://schema.org/addressRegion": "OH",
                            "http://schema.org/postalCode": "45229",
                            "http://schema.org/streetAddress": "3333 Burnet Ave",
                            "http://schema.org/telephone": "+1(513)636-4200"
                        }
                    ],
                    "http://schema.org/logo": "https://www.cincinnatichildrens.org/-/media/cincinnati%20childrens/global%20shared/childrens-logo-new.png",
                    "http://schema.org/department": [
                        {
                            "class": "http://schema.org/Organization",
                            "http://schema.org/legalName": "Allergy and Immunology",
                            "http://schema.org/department": [
                                {
                                    "class": "http://schema.org/Organization",
                                    "http://schema.org/legalName": "Barski Research Lab",
                                    "http://schema.org/member": [
                                        {
                                            "class": "http://schema.org/Person",
                                            "http://schema.org/name": "Michael Kotliar",
                                            "http://schema.org/email": "mailto:misha.kotliar@gmail.com",
                                            "http://schema.org/sameAs": [
                                                {
                                                    "$import": "#0000-0002-6486-3898"
                                                }
                                            ]
                                        }
                                    ]
                                }
                            ]
                        }
                    ]
                }
            ],
            "http://schema.org/about": "Usage:\n  iaintersect [options] --in=pathToFile --a=pathtoFile --out=pathToFile\n  --a                        \tTab-separated annotation file\n  --in                       \tInput filename with MACS2 peak calling results, xls\n  --log                      \tLog filename (default is ./logfile_def.log)\n  --out                      \tBase output file name\n  --promoter                 \tPromoter region around TSS in bp\n  --sam_ignorechr            \tThe chromosome to be ignored\n  --upstream                 \tUpstream region before promoter in bp\n"
        },
        {
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                }
            ],
            "hints": [
                {
                    "class": "DockerRequirement",
                    "dockerPull": "biowardrobe2/intervene:v0.0.1"
                }
            ],
            "inputs": [
                {
                    "type": [
                        "null",
                        {
                            "type": "enum",
                            "symbols": [
                                "#intervene.cwl/diagram_type/venn",
                                "#intervene.cwl/diagram_type/upset",
                                "#intervene.cwl/diagram_type/pairwise"
                            ]
                        }
                    ],
                    "default": "venn",
                    "doc": "Diagram type to report\n",
                    "id": "#intervene.cwl/diagram_type"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "enum",
                            "symbols": [
                                "#intervene.cwl/figure_format/pdf",
                                "#intervene.cwl/figure_format/svg",
                                "#intervene.cwl/figure_format/ps",
                                "#intervene.cwl/figure_format/tiff",
                                "#intervene.cwl/figure_format/png"
                            ]
                        }
                    ],
                    "inputBinding": {
                        "position": 5,
                        "prefix": "--figtype"
                    },
                    "doc": "Format to export diagram figure\n",
                    "id": "#intervene.cwl/figure_format"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "inputBinding": {
                        "position": 7,
                        "prefix": "--names",
                        "itemSeparator": ",",
                        "valueFrom": "${\n  if (self !== null) {\n    let cleaned = [];\n    self.forEach(function (s, i) {\n      cleaned.push(s.replace(/\\t|\\s|\\[|\\]|\\>|\\</g, \"_\"));\n    });\n    return cleaned;\n  };\n  return self;\n}\n"
                    },
                    "doc": "Comma-separated list of names as labels for input files.\nFor example: --names=A,B,C,D,E,F\nIf it is not set file names will be used as labels.\n",
                    "id": "#intervene.cwl/intervals_aliases"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "Comma-separated list of matplotlib-valid colors for fill.\nE.g., \u2013colors=r,b,k\n",
                    "id": "#intervene.cwl/intervals_colors"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "inputBinding": {
                        "position": 6,
                        "prefix": "--input"
                    },
                    "doc": "Files with the input genomic regions in (BED/GTF/GFF) format\n",
                    "id": "#intervene.cwl/intervals_files"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "position": 8,
                        "prefix": "--overlap-thresh",
                        "valueFrom": "${\n  if (inputs.diagram_type == \"pairwise\") {\n    return null;\n  };\n  return self;\n}\n"
                    },
                    "doc": "Minimum number of overlapped regions to save them into bed/txt file\nDefault: 1\n",
                    "id": "#intervene.cwl/overlap_threshold"
                }
            ],
            "outputs": [
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "outputBinding": {
                        "glob": "./results/*combinations.txt"
                    },
                    "doc": "Overlapped combinations file",
                    "id": "#intervene.cwl/overlapped_combinations"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "outputBinding": {
                        "glob": "./results/*frac_matrix.txt"
                    },
                    "doc": "Overlapped fraction matrix file",
                    "id": "#intervene.cwl/overlapped_fraction_matrix"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "File"
                        }
                    ],
                    "outputBinding": {
                        "glob": "./results/sets/*"
                    },
                    "doc": "Overlapped intervals files",
                    "id": "#intervene.cwl/overlapped_intervals_files"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "${\n  if (inputs.figure_format !== null) {\n    return \"./results/intervene*.\" + inputs.figure_format;\n  };\n  return \"./results/intervene*.pdf\";\n}\n"
                    },
                    "doc": "Diagram of the overlapped intervals",
                    "id": "#intervene.cwl/overlapped_plot"
                },
                {
                    "type": "File",
                    "id": "#intervene.cwl/stderr_log",
                    "outputBinding": {
                        "glob": "intervene_stderr.log"
                    }
                },
                {
                    "type": "File",
                    "id": "#intervene.cwl/stdout_log",
                    "outputBinding": {
                        "glob": "intervene_stdout.log"
                    }
                }
            ],
            "baseCommand": [
                "intervene"
            ],
            "arguments": [
                {
                    "valueFrom": "$(inputs.diagram_type)"
                },
                "--type",
                "genomic",
                {
                    "valueFrom": "$(inputs.diagram_type == \"pairwise\"?null:\"--save-overlaps\")"
                },
                {
                    "valueFrom": "$(inputs.diagram_type == \"pairwise\"?\"--diagonal\":null)"
                },
                {
                    "valueFrom": "$(inputs.diagram_type == \"pairwise\"?[\"--htype\", \"color\"]:null)"
                },
                {
                    "valueFrom": "${\n  if (inputs.diagram_type == \"venn\" && inputs.intervals_colors !== null) {\n    return inputs.intervals_colors;\n  }\n  return null;\n}\n",
                    "prefix": "--colors",
                    "itemSeparator": ","
                },
                "--project",
                "intervene",
                "-o",
                "results"
            ],
            "stdout": "intervene_stdout.log",
            "stderr": "intervene_stderr.log",
            "doc": "Intervene: a tool for intersection and visualization of multiple genomic regions\n================================================================================\n\nHardcoded parameters:\n--type genomic       use genomic regions as inputs\n--save-overlaps      save overlapping regions/names for all the combinations as bed/txt\n--project intervene  for the guatanteed access to results location\n-o results           for the guatanteed access to results location\n\nSkipped parameters:\n--filenames as it seems not logical to have it when default\n            for --names already uses file names\n\nWhen run in \"pairwise\" mode:\n--save-overlaps and --overlap-thresh set to null\n--htype and --diagonal added\n\nWhen run in \"venn\" mode:\n--colors aren't ignored\n",
            "id": "#intervene.cwl",
            "http://schema.org/name": "intervene",
            "http://schema.org/downloadUrl": "https://raw.githubusercontent.com/Barski-lab/workflows/master/tools/intervene.cwl",
            "http://schema.org/codeRepository": "https://github.com/Barski-lab/workflows",
            "http://schema.org/license": "http://www.apache.org/licenses/LICENSE-2.0",
            "http://schema.org/isPartOf": {
                "class": "http://schema.org/CreativeWork",
                "http://schema.org/name": "Common Workflow Language",
                "http://schema.org/url": "http://commonwl.org/"
            },
            "http://schema.org/creator": [
                {
                    "class": "http://schema.org/Organization",
                    "http://schema.org/legalName": "Cincinnati Children's Hospital Medical Center",
                    "http://schema.org/location": [
                        {
                            "class": "http://schema.org/PostalAddress",
                            "http://schema.org/addressCountry": "USA",
                            "http://schema.org/addressLocality": "Cincinnati",
                            "http://schema.org/addressRegion": "OH",
                            "http://schema.org/postalCode": "45229",
                            "http://schema.org/streetAddress": "3333 Burnet Ave",
                            "http://schema.org/telephone": "+1(513)636-4200"
                        }
                    ],
                    "http://schema.org/logo": "https://www.cincinnatichildrens.org/-/media/cincinnati%20childrens/global%20shared/childrens-logo-new.png",
                    "http://schema.org/department": [
                        {
                            "class": "http://schema.org/Organization",
                            "http://schema.org/legalName": "Allergy and Immunology",
                            "http://schema.org/department": [
                                {
                                    "class": "http://schema.org/Organization",
                                    "http://schema.org/legalName": "Barski Research Lab",
                                    "http://schema.org/member": [
                                        {
                                            "class": "http://schema.org/Person",
                                            "http://schema.org/name": "Michael Kotliar",
                                            "http://schema.org/email": "mailto:misha.kotliar@gmail.com",
                                            "http://schema.org/sameAs": [
                                                {
                                                    "$import": "#0000-0002-6486-3898"
                                                }
                                            ]
                                        }
                                    ]
                                }
                            ]
                        }
                    ]
                }
            ],
            "http://schema.org/about": "usage: intervene <subcommand> [options]\n\n    Intervene: a tool for intersection and visualization of multiple genomic region and gene sets.\n    For more details check documentation: http://intervene.readthedocs.io\n\npositional arguments:\n  {venn,upset,pairwise}\n                        List of subcommands\n    venn                Venn diagram of intersection of genomic regions or list sets (upto 6-way).\n    upset               UpSet diagram of intersection of genomic regions or list sets.\n    pairwise            Pairwise intersection and heatmap of N genomic region sets in <BED/GTF/GFF> format."
        },
        {
            "class": "Workflow",
            "requirements": [
                {
                    "class": "SubworkflowFeatureRequirement"
                },
                {
                    "class": "StepInputExpressionRequirement"
                },
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "MultipleInputFeatureRequirement"
                },
                {
                    "class": "ScatterFeatureRequirement"
                }
            ],
            "sd:upstream": {
                "filtered_experiment": [
                    "filter-peaks-for-heatmap.cwl"
                ],
                "genome_indices": [
                    "genome-indices.cwl"
                ]
            },
            "inputs": [
                {
                    "type": "string",
                    "label": "Experiment short name/Alias",
                    "sd:preview": {
                        "position": 1
                    },
                    "id": "#main/alias"
                },
                {
                    "type": "File",
                    "format": "http://edamontology.org/format_3475",
                    "label": "Genome to use for the nearest gene assignment",
                    "doc": "Tab-separated annotation file",
                    "sd:upstreamSource": "genome_indices/annotation",
                    "sd:localLabel": true,
                    "id": "#main/annotation_file"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "label": "Filtered ChIP/ATAC experiment",
                    "doc": "Filtered ChIP/ATAC experiment alias",
                    "sd:upstreamSource": "filtered_experiment/alias",
                    "id": "#main/intervals_aliases"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "format": "http://edamontology.org/format_3003",
                    "label": "Filtered ChIP/ATAC experiment",
                    "doc": "Filtered peaks file from ChIP/ATAC experiment formatted\nas headerless BED [chrom start end name] file\n",
                    "sd:upstreamSource": "filtered_experiment/filtered_file",
                    "sd:localLabel": true,
                    "id": "#main/intervals_files"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "default": 1000,
                    "label": "Max distance from gene TSS (in both direction) to assign interval to promoter",
                    "doc": "Max distance from gene TSS (in both direction) overlapping\nwhich the interval will be assigned to the promoter region\n",
                    "sd:layout": {
                        "advanced": true
                    },
                    "id": "#main/promoter_dist"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "default": 20000,
                    "label": "Max distance from promoter (only in upstream direction) to assign interval to upstream",
                    "doc": "Max distance from the promoter (only in upstream direction)\noverlapping which the interval will be assigned to the\nupstream region\n",
                    "sd:layout": {
                        "advanced": true
                    },
                    "id": "#main/upstream_dist"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "format": "http://edamontology.org/format_3475",
                    "label": "Annotated intervals common for all intersected files",
                    "doc": "Annotated intervals common for all intersected files",
                    "outputSource": "#main/remove_empty_columns/output_file",
                    "sd:visualPlugins": [
                        {
                            "syncfusiongrid": {
                                "tab": "Common intervals",
                                "Title": "Annotated intervals common for all intersected files"
                            }
                        }
                    ],
                    "id": "#main/annotated_overlapped_between_all_file"
                },
                {
                    "type": "File",
                    "format": "http://edamontology.org/format_2330",
                    "label": "intervene stderr log",
                    "doc": "intervene stderr log",
                    "outputSource": "#main/overlap_intervals/stderr_log",
                    "id": "#main/intervene_stderr_log"
                },
                {
                    "type": "File",
                    "format": "http://edamontology.org/format_2330",
                    "label": "intervene stdout log",
                    "doc": "intervene stdout log",
                    "outputSource": "#main/overlap_intervals/stdout_log",
                    "id": "#main/intervene_stdout_log"
                },
                {
                    "type": "File",
                    "format": "http://edamontology.org/format_3003",
                    "label": "BED file with common for all inputs intervals",
                    "doc": "BED file with common for all inputs intervals",
                    "outputSource": "#main/get_overlapped_between_all/selected_file",
                    "sd:visualPlugins": [
                        {
                            "igvbrowser": {
                                "tab": "IGV Genome Browser",
                                "id": "#main/overlapped_between_all_bed/igvbrowser",
                                "type": "annotation",
                                "name": "#main/overlapped_between_all_bed/Common intervals",
                                "displayMode": "COLLAPSE",
                                "height": 40
                            }
                        }
                    ],
                    "id": "#main/overlapped_between_all_bed"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "format": "http://edamontology.org/format_2330",
                    "outputSource": "#main/overlap_intervals/overlapped_combinations",
                    "label": "Overlapped combinations file",
                    "doc": "Overlapped combinations file",
                    "id": "#main/overlapped_combinations"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "format": "http://edamontology.org/format_3475",
                    "outputSource": "#main/annotate_overlapped_intervals/result_file",
                    "label": "Overlapped intervals files with the nearest genes assigned",
                    "doc": "Overlapped intervals files with the nearest genes assigned",
                    "id": "#main/overlapped_intervals_files"
                },
                {
                    "type": "File",
                    "format": "http://edamontology.org/format_3603",
                    "outputSource": "#main/overlap_intervals/overlapped_plot",
                    "label": "Intervals overlap diagram",
                    "doc": "Intervals overlap diagram",
                    "sd:visualPlugins": [
                        {
                            "image": {
                                "tab": "Plots",
                                "Caption": "Intervals overlap diagram"
                            }
                        }
                    ],
                    "id": "#main/overlapped_plot"
                }
            ],
            "steps": [
                {
                    "run": "#iaintersect.cwl",
                    "in": [
                        {
                            "source": "#main/annotation_file",
                            "id": "#main/annotate_overlapped_between_all/annotation_filename"
                        },
                        {
                            "source": "#main/refactore_overlapped_between_all/output_file",
                            "id": "#main/annotate_overlapped_between_all/input_filename"
                        },
                        {
                            "source": "#main/promoter_dist",
                            "id": "#main/annotate_overlapped_between_all/promoter_bp"
                        },
                        {
                            "source": "#main/upstream_dist",
                            "id": "#main/annotate_overlapped_between_all/upstream_bp"
                        }
                    ],
                    "out": [
                        "#main/annotate_overlapped_between_all/result_file"
                    ],
                    "id": "#main/annotate_overlapped_between_all"
                },
                {
                    "run": {
                        "cwlVersion": "v1.0",
                        "class": "Workflow",
                        "requirements": [
                            {
                                "class": "ScatterFeatureRequirement"
                            }
                        ],
                        "inputs": [
                            {
                                "type": "File",
                                "id": "#main/annotate_overlapped_intervals/0cd37e6c-5606-4f01-bb3f-bbcb435275c9/annotation_filename"
                            },
                            {
                                "type": {
                                    "type": "array",
                                    "items": "File"
                                },
                                "id": "#main/annotate_overlapped_intervals/0cd37e6c-5606-4f01-bb3f-bbcb435275c9/input_filename"
                            },
                            {
                                "type": [
                                    "null",
                                    "int"
                                ],
                                "id": "#main/annotate_overlapped_intervals/0cd37e6c-5606-4f01-bb3f-bbcb435275c9/promoter_bp"
                            },
                            {
                                "type": [
                                    "null",
                                    "int"
                                ],
                                "id": "#main/annotate_overlapped_intervals/0cd37e6c-5606-4f01-bb3f-bbcb435275c9/upstream_bp"
                            }
                        ],
                        "outputs": [
                            {
                                "type": {
                                    "type": "array",
                                    "items": "File"
                                },
                                "outputSource": "#main/annotate_overlapped_intervals/0cd37e6c-5606-4f01-bb3f-bbcb435275c9/batch/result_file",
                                "id": "#main/annotate_overlapped_intervals/0cd37e6c-5606-4f01-bb3f-bbcb435275c9/result_file"
                            }
                        ],
                        "steps": [
                            {
                                "run": "#iaintersect.cwl",
                                "in": [
                                    {
                                        "source": "#main/annotate_overlapped_intervals/0cd37e6c-5606-4f01-bb3f-bbcb435275c9/annotation_filename",
                                        "id": "#main/annotate_overlapped_intervals/0cd37e6c-5606-4f01-bb3f-bbcb435275c9/batch/annotation_filename"
                                    },
                                    {
                                        "source": "#main/annotate_overlapped_intervals/0cd37e6c-5606-4f01-bb3f-bbcb435275c9/input_filename",
                                        "id": "#main/annotate_overlapped_intervals/0cd37e6c-5606-4f01-bb3f-bbcb435275c9/batch/input_filename"
                                    },
                                    {
                                        "source": "#main/annotate_overlapped_intervals/0cd37e6c-5606-4f01-bb3f-bbcb435275c9/promoter_bp",
                                        "id": "#main/annotate_overlapped_intervals/0cd37e6c-5606-4f01-bb3f-bbcb435275c9/batch/promoter_bp"
                                    },
                                    {
                                        "source": "#main/annotate_overlapped_intervals/0cd37e6c-5606-4f01-bb3f-bbcb435275c9/upstream_bp",
                                        "id": "#main/annotate_overlapped_intervals/0cd37e6c-5606-4f01-bb3f-bbcb435275c9/batch/upstream_bp"
                                    }
                                ],
                                "scatter": "#main/annotate_overlapped_intervals/0cd37e6c-5606-4f01-bb3f-bbcb435275c9/batch/input_filename",
                                "out": [
                                    "#main/annotate_overlapped_intervals/0cd37e6c-5606-4f01-bb3f-bbcb435275c9/batch/result_file"
                                ],
                                "id": "#main/annotate_overlapped_intervals/0cd37e6c-5606-4f01-bb3f-bbcb435275c9/batch"
                            }
                        ],
                        "id": "#main/annotate_overlapped_intervals/0cd37e6c-5606-4f01-bb3f-bbcb435275c9"
                    },
                    "in": [
                        {
                            "source": "#main/annotation_file",
                            "id": "#main/annotate_overlapped_intervals/annotation_filename"
                        },
                        {
                            "source": "#main/refactore_overlapped_intervals/output_file",
                            "id": "#main/annotate_overlapped_intervals/input_filename"
                        },
                        {
                            "source": "#main/promoter_dist",
                            "id": "#main/annotate_overlapped_intervals/promoter_bp"
                        },
                        {
                            "source": "#main/upstream_dist",
                            "id": "#main/annotate_overlapped_intervals/upstream_bp"
                        }
                    ],
                    "out": [
                        "#main/annotate_overlapped_intervals/result_file"
                    ],
                    "id": "#main/annotate_overlapped_intervals"
                },
                {
                    "run": "#get-file-by-name.cwl",
                    "in": [
                        {
                            "default": "^(1)\\1+(_)",
                            "id": "#main/get_overlapped_between_all/basename_regex"
                        },
                        {
                            "source": "#main/overlap_intervals/overlapped_intervals_files",
                            "id": "#main/get_overlapped_between_all/input_files"
                        }
                    ],
                    "out": [
                        "#main/get_overlapped_between_all/selected_file"
                    ],
                    "id": "#main/get_overlapped_between_all"
                },
                {
                    "run": {
                        "cwlVersion": "v1.0",
                        "class": "Workflow",
                        "requirements": [
                            {
                                "class": "ScatterFeatureRequirement"
                            }
                        ],
                        "inputs": [
                            {
                                "type": {
                                    "type": "array",
                                    "items": "File"
                                },
                                "id": "#main/merge_intervals/50e9df19-67da-483e-8c21-753f87c14950/bed_file"
                            }
                        ],
                        "outputs": [
                            {
                                "type": {
                                    "type": "array",
                                    "items": "File"
                                },
                                "outputSource": "#main/merge_intervals/50e9df19-67da-483e-8c21-753f87c14950/batch/merged_bed_file",
                                "id": "#main/merge_intervals/50e9df19-67da-483e-8c21-753f87c14950/merged_bed_file"
                            }
                        ],
                        "steps": [
                            {
                                "run": "#bedtools-merge.cwl",
                                "in": [
                                    {
                                        "source": "#main/merge_intervals/50e9df19-67da-483e-8c21-753f87c14950/bed_file",
                                        "id": "#main/merge_intervals/50e9df19-67da-483e-8c21-753f87c14950/batch/bed_file"
                                    }
                                ],
                                "scatter": "#main/merge_intervals/50e9df19-67da-483e-8c21-753f87c14950/batch/bed_file",
                                "out": [
                                    "#main/merge_intervals/50e9df19-67da-483e-8c21-753f87c14950/batch/merged_bed_file"
                                ],
                                "id": "#main/merge_intervals/50e9df19-67da-483e-8c21-753f87c14950/batch"
                            }
                        ],
                        "id": "#main/merge_intervals/50e9df19-67da-483e-8c21-753f87c14950"
                    },
                    "in": [
                        {
                            "source": "#main/sort_intervals/sorted_intervals_files",
                            "id": "#main/merge_intervals/bed_file"
                        }
                    ],
                    "out": [
                        "#main/merge_intervals/merged_bed_file"
                    ],
                    "id": "#main/merge_intervals"
                },
                {
                    "run": "#intervene.cwl",
                    "in": [
                        {
                            "source": "#main/merge_intervals/merged_bed_file",
                            "valueFrom": "${\n  if (self.length > 6){\n    return \"upset\";\n  }\n  return \"venn\";\n}\n",
                            "id": "#main/overlap_intervals/diagram_type"
                        },
                        {
                            "default": "png",
                            "id": "#main/overlap_intervals/figure_format"
                        },
                        {
                            "source": "#main/intervals_aliases",
                            "id": "#main/overlap_intervals/intervals_aliases"
                        },
                        {
                            "source": "#main/merge_intervals/merged_bed_file",
                            "id": "#main/overlap_intervals/intervals_files"
                        }
                    ],
                    "out": [
                        "#main/overlap_intervals/overlapped_intervals_files",
                        "#main/overlap_intervals/overlapped_plot",
                        "#main/overlap_intervals/overlapped_combinations",
                        "#main/overlap_intervals/stdout_log",
                        "#main/overlap_intervals/stderr_log"
                    ],
                    "id": "#main/overlap_intervals"
                },
                {
                    "run": "#custom-bash.cwl",
                    "in": [
                        {
                            "source": "#main/get_overlapped_between_all/selected_file",
                            "id": "#main/refactore_overlapped_between_all/input_file"
                        },
                        {
                            "default": "cat $0 | awk 'BEGIN {print \"chr\\tstart\\tend\\tlength\\tabs_summit\\tpileup\\t-log10(pvalue)\\tfold_enrichment\\t-log10(qvalue)\\tname\"} {print $1\"\\t\"$2\"\\t\"$3\"\\t\"$3-$2+1\"\\t0\\t0\\t0\\t0\\t0\\t0\"}' > overlapped_between_all.tsv\n",
                            "id": "#main/refactore_overlapped_between_all/script"
                        }
                    ],
                    "out": [
                        "#main/refactore_overlapped_between_all/output_file"
                    ],
                    "id": "#main/refactore_overlapped_between_all"
                },
                {
                    "run": {
                        "cwlVersion": "v1.0",
                        "class": "Workflow",
                        "requirements": [
                            {
                                "class": "ScatterFeatureRequirement"
                            }
                        ],
                        "inputs": [
                            {
                                "type": {
                                    "type": "array",
                                    "items": "File"
                                },
                                "id": "#main/refactore_overlapped_intervals/76848b17-67e3-4eb6-8826-e9b4edb2a8e0/input_file"
                            }
                        ],
                        "outputs": [
                            {
                                "type": {
                                    "type": "array",
                                    "items": "File"
                                },
                                "outputSource": "#main/refactore_overlapped_intervals/76848b17-67e3-4eb6-8826-e9b4edb2a8e0/batch/output_file",
                                "id": "#main/refactore_overlapped_intervals/76848b17-67e3-4eb6-8826-e9b4edb2a8e0/output_file"
                            }
                        ],
                        "steps": [
                            {
                                "run": "#custom-bash.cwl",
                                "in": [
                                    {
                                        "source": "#main/refactore_overlapped_intervals/76848b17-67e3-4eb6-8826-e9b4edb2a8e0/input_file",
                                        "id": "#main/refactore_overlapped_intervals/76848b17-67e3-4eb6-8826-e9b4edb2a8e0/batch/input_file"
                                    },
                                    {
                                        "default": "cat $0 | awk 'BEGIN {print \"chr\\tstart\\tend\\tlength\\tabs_summit\\tpileup\\t-log10(pvalue)\\tfold_enrichment\\t-log10(qvalue)\\tname\"} {print $1\"\\t\"$2\"\\t\"$3\"\\t\"$3-$2+1\"\\t0\\t0\\t0\\t0\\t0\\t0\"}' > `basename $0`\n",
                                        "id": "#main/refactore_overlapped_intervals/76848b17-67e3-4eb6-8826-e9b4edb2a8e0/batch/script"
                                    }
                                ],
                                "scatter": "#main/refactore_overlapped_intervals/76848b17-67e3-4eb6-8826-e9b4edb2a8e0/batch/input_file",
                                "out": [
                                    "#main/refactore_overlapped_intervals/76848b17-67e3-4eb6-8826-e9b4edb2a8e0/batch/output_file"
                                ],
                                "id": "#main/refactore_overlapped_intervals/76848b17-67e3-4eb6-8826-e9b4edb2a8e0/batch"
                            }
                        ],
                        "id": "#main/refactore_overlapped_intervals/76848b17-67e3-4eb6-8826-e9b4edb2a8e0"
                    },
                    "in": [
                        {
                            "source": "#main/overlap_intervals/overlapped_intervals_files",
                            "id": "#main/refactore_overlapped_intervals/input_file"
                        }
                    ],
                    "out": [
                        "#main/refactore_overlapped_intervals/output_file"
                    ],
                    "id": "#main/refactore_overlapped_intervals"
                },
                {
                    "run": "#custom-bash.cwl",
                    "in": [
                        {
                            "source": "#main/annotate_overlapped_between_all/result_file",
                            "id": "#main/remove_empty_columns/input_file"
                        },
                        {
                            "default": "cat $0 | cut -f 1-9,15 > `basename $0`\n",
                            "id": "#main/remove_empty_columns/script"
                        }
                    ],
                    "out": [
                        "#main/remove_empty_columns/output_file"
                    ],
                    "id": "#main/remove_empty_columns"
                },
                {
                    "run": {
                        "cwlVersion": "v1.0",
                        "class": "Workflow",
                        "requirements": [
                            {
                                "class": "ScatterFeatureRequirement"
                            }
                        ],
                        "inputs": [
                            {
                                "type": {
                                    "type": "array",
                                    "items": "File"
                                },
                                "id": "#main/sort_intervals/286aa222-c804-4fa2-ae00-d58994478e9d/not_sorted_intervals_files"
                            }
                        ],
                        "outputs": [
                            {
                                "type": {
                                    "type": "array",
                                    "items": "File"
                                },
                                "outputSource": "#main/sort_intervals/286aa222-c804-4fa2-ae00-d58994478e9d/batch/output_file",
                                "id": "#main/sort_intervals/286aa222-c804-4fa2-ae00-d58994478e9d/sorted_intervals_files"
                            }
                        ],
                        "steps": [
                            {
                                "run": "#custom-bash.cwl",
                                "in": [
                                    {
                                        "source": "#main/sort_intervals/286aa222-c804-4fa2-ae00-d58994478e9d/not_sorted_intervals_files",
                                        "id": "#main/sort_intervals/286aa222-c804-4fa2-ae00-d58994478e9d/batch/input_file"
                                    },
                                    {
                                        "default": "cat \"$0\" | tr -d '\\r' | tr \",\" \"\\t\" | awk NF | sort -u -k1,1 -k2,2n -k3,3n > `basename $0`\n",
                                        "id": "#main/sort_intervals/286aa222-c804-4fa2-ae00-d58994478e9d/batch/script"
                                    }
                                ],
                                "scatter": "#main/sort_intervals/286aa222-c804-4fa2-ae00-d58994478e9d/batch/input_file",
                                "out": [
                                    "#main/sort_intervals/286aa222-c804-4fa2-ae00-d58994478e9d/batch/output_file"
                                ],
                                "id": "#main/sort_intervals/286aa222-c804-4fa2-ae00-d58994478e9d/batch"
                            }
                        ],
                        "id": "#main/sort_intervals/286aa222-c804-4fa2-ae00-d58994478e9d"
                    },
                    "in": [
                        {
                            "source": "#main/intervals_files",
                            "id": "#main/sort_intervals/not_sorted_intervals_files"
                        }
                    ],
                    "out": [
                        "#main/sort_intervals/sorted_intervals_files"
                    ],
                    "id": "#main/sort_intervals"
                }
            ],
            "label": "Genomic regions intersection and visualization",
            "doc": "\nGenomic regions intersection and visualization\n==============================================\n\n1. Merges intervals within each of the filtered peaks files from ChIP/ATAC experiments\n2. Overlaps merged intervals and assigns the nearest genes to them\n",
            "id": "#main",
            "http://schema.org/name": "Genomic regions intersection and visualization",
            "http://schema.org/alternateName": "Genomic regions intersection and visualization",
            "http://schema.org/downloadUrl": "https://raw.githubusercontent.com/datirium/workflows/master/workflows/intervene.cwl",
            "http://schema.org/codeRepository": "https://github.com/datirium/workflows",
            "http://schema.org/license": "http://www.apache.org/licenses/LICENSE-2.0",
            "http://schema.org/isPartOf": {
                "class": "http://schema.org/CreativeWork",
                "http://schema.org/name": "Common Workflow Language",
                "http://schema.org/url": "http://commonwl.org/"
            },
            "http://schema.org/creator": [
                {
                    "class": "http://schema.org/Organization",
                    "http://schema.org/legalName": "Cincinnati Children's Hospital Medical Center",
                    "http://schema.org/location": [
                        {
                            "class": "http://schema.org/PostalAddress",
                            "http://schema.org/addressCountry": "USA",
                            "http://schema.org/addressLocality": "Cincinnati",
                            "http://schema.org/addressRegion": "OH",
                            "http://schema.org/postalCode": "45229",
                            "http://schema.org/streetAddress": "3333 Burnet Ave",
                            "http://schema.org/telephone": "+1(513)636-4200"
                        }
                    ],
                    "http://schema.org/logo": "https://www.cincinnatichildrens.org/-/media/cincinnati%20childrens/global%20shared/childrens-logo-new.png",
                    "http://schema.org/department": [
                        {
                            "class": "http://schema.org/Organization",
                            "http://schema.org/legalName": "Allergy and Immunology",
                            "http://schema.org/department": [
                                {
                                    "class": "http://schema.org/Organization",
                                    "http://schema.org/legalName": "Barski Research Lab",
                                    "http://schema.org/member": [
                                        {
                                            "class": "http://schema.org/Person",
                                            "http://schema.org/name": "Michael Kotliar",
                                            "http://schema.org/email": "mailto:michael.kotliar@cchmc.org",
                                            "http://schema.org/sameAs": [
                                                {
                                                    "$import": "#0000-0002-6486-3898"
                                                }
                                            ]
                                        }
                                    ]
                                }
                            ]
                        }
                    ]
                }
            ]
        }
    ],
    "cwlVersion": "v1.0",
    "$schemas": [
        "https://github.com/schemaorg/schemaorg/raw/main/data/releases/11.01/schemaorg-current-http.rdf"
    ],
    "$namespaces": {
        "s": "http://schema.org/"
    }
}
